#
# spec file for package python-jsonschema-specifications
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-jsonschema-specifications
VCS: https://src.suse.de/SLFO-pool/python-jsonschema-specifications#30dfec527091e2bddcbfcb3e636d8f0791aa4c7b532efe61265d3fbe99bcde30
Version:        2023.7.1
Release:        slfo.1.1_1.2
Summary:        The JSON Schema meta-schemas and vocabularies, exposed as a Registry
License:        MIT
URL:            https://github.com/python-jsonschema/jsonschema-specifications
Source:         https://files.pythonhosted.org/packages/source/j/jsonschema-specifications/jsonschema_specifications-%{version}.tar.gz#/jsonschema_specifications-%{version}.tar.gz
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module importlib_resources}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module referencing >= 0.25.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-referencing >= 0.25.0
Suggests:       python-importlib_resources >= 1.4.0
BuildArch:      noarch
%python_subpackages

%description
The JSON Schema meta-schemas and vocabularies, exposed as a Registry

%prep
%setup -q -n jsonschema_specifications-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%{python_sitelib}/jsonschema_specifications
%{python_sitelib}/jsonschema_specifications-%{version}.dist-info/

%changelog
* Tue Jul 18 2023 kastl@b1-systems.de
- update to 2023.7.1:
  no changelog, only diff available at
  https://github.com/python-jsonschema/jsonschema-specifications/compare/v2023.06.1...v2023.07.1
* Mon Jun 26 2023 kastl@b1-systems.de
- update to 2023.6.1:
  full diff available at
  https://github.com/python-jsonschema/jsonschema-specifications/
  compare/v2023.05.2...v2023.06.1
  * bump doc requirements
  * Enable PYTHONWARNDEFAULTENCODING to catch an encoding
    mistake.
* Wed May 31 2023 kastl@b1-systems.de
- update to 2023.5.2:
  full changelog available at
  https://github.com/python-jsonschema/jsonschema-specifications/
  compare/v2023.05.1...v2023.05.2
* Wed May 17 2023 kastl@b1-systems.de
- update to 2023.05.1:
  full changelog available at
  https://github.com/python-jsonschema/jsonschema-specifications/
  compare/v2023.03.6...v2023.05.1
* Fri May  5 2023 kastl@b1-systems.de
- add sle15_python_module_pythons
* Fri Mar 24 2023 kastl@b1-systems.de
- new package python-jsonschema-specifications
